# XIMCLIENT

The Ximtool "client" object. This code implements an OBM client and responds to messages sent to the client object by the GUI code executing under the object manager.

Client commands:

                       setFrame frameno
             frameno = getFrame [raster]
                      nextFrame
                      prevFrame
                    matchFrames [frame]
                       fitFrame

                    setColormap colormap
                 windowColormap offset scale
                           zoom [mag | xmag ymag [ xcen ycen ]]
                        zoomAbs [mag | xmag ymag [ xcen ycen ]]
                            pan xcen ycen
                           flip axis [axis ...]

             wcsstr = encodewcs sx sy sz
                   retCursorVal sx sy [frame [wcs [key [strval]]]]

                           Quit

XIMTOOL CLIENT commands.

# Quit

Exit ximtool.

Usage:

            Quit

# setFrame

Set the frame to be displayed.

Usage:

            setFrame

# getFrame

Get the frame number.

Usage:

            getFrame [raster]

This routine has two forms. When called with no argument getFrame returns the current display frame. When called with a raster number getFrame returns the frame number with which the raster is associated.

# nextFrame

Display the next frame in sequence.

Usage:

            nextFrame

# prevFrame

Display the previous frame in sequence.

Usage:

            prevFrame

# matchFrames

Set the enhancement of all frames to match the current display frame.

Usage:

            matchFrames [frame]

# fitFrame

Attempt to make the display window the same size as the frame buffer.

Usage:

            fitFrame

# setColormap

Set the colormap for the current display frame.

Usage:

            setColormap

# windowColormap

Set the colormap for the current display frame.

Usage:

            windowColormap

# zoom, zoomAbs

Set the zoom factors for the current frame to the given values. A zoom factor > 1 enlarges the image, < 1 shrinks the image, 1.0 maps one source pixel to one destination pixel.

Usage:

            zoom            1 argument
            zoom            2 arguments
            zoom            4 arguments

When called as "zoom" the magnification is relative to the fixed scaling, if any, used to scale the frame to fit the display window at mag=1.0. When called as zoomAbs" the magnification given is the actual scale factor used to map raster pixels to display pixels.

# pan

Pan the current frame, i.e., change the view center.

Usage:

            pan

# flip

Flip the current display frame in the indicated axis or axes.

Usage:

            flip [axis [axis ...]]

# retCursorVal

Return a cursor value to the ximtool client process. This should be executed by the GUI to terminate a cursor read.

Usage:

            retCursorVal sx sy [frame [wcs [key [strval]]]]

# encodewcs

Convert raw screen coordinates x,y,z (z=pixel value) to world coordinates using the WCS passed to ximtool by the client application when the frame was loaded. The encoded description of the current position and pixel value is returned to the GUI as a string value.

Usage:

            string = encodewcs sx sy sz